Name:           vdrsync
Version:        0.1.3
Release:        3
Summary:        Recording demultiplexer for VDR

Group:          Multimedia/VDR
License:        GPL
URL:            http://vdrsync.vdr-portal.de/
Source0:        http://vdrsync.vdr-portal.de/releases/%{name}-%{version}PRE1.tgz
Source1:        http://vdrsync.vdr-portal.de/releases/%{name}-050322.tgz
Patch0:         %{name}-recpath.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires:       transcode
Requires:       mjpegtools
Requires:       mkisofs
Requires:       dvdauthor
Requires:       xorg-x11-fonts-truetype

%description
vdrsync is a script that demultiplexes VDR recordings and tries to
synchronize the video and audio streams by addition or deletion of
audio data. It can also start some other tools at the end of a run to
generate a video DVD Directory structure that can be burned on a DVD.

%prep
%setup -q -n %{name}-%{version}PRE1 -a1
mv vdrsync-050322/*.pl .
%patch0
for f in README.dvd-menu MANUAL-DE ; do
  iconv -f iso-8859-1 -t utf-8 $f > $f.utf-8 ; mv $f.utf-8 $f
done
rename .pl "" *.pl
%{__perl} -pi -e 's/(vdrsync(_buffer)?|dvd-menu)\.pl/$1/g' *
%{__perl} -pi -e 's|vdrsync_buffer|%{_datadir}/vdrsync/vdrsync_buffer|' \
  vdrsync
%{__perl} -pi -e 's|/usr/X11R6/lib/X11/fonts/truetype/arial.ttf|%{_datadir}/X11/fonts/TTF/luxirb.ttf| ; s/arial.ttf/luxirb.ttf/' *dvd-menu*


%build


%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{_bindir}
install -pm 755 vdrsync dvd-menu $RPM_BUILD_ROOT%{_bindir}
install -Dpm 755 vdrsync_buffer \
  $RPM_BUILD_ROOT%{_datadir}/vdrsync/vdrsync_buffer

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc BUGS vdrsync-050322/CHANGES COPYING MANUAL README* TODO
%lang(de) %doc MANUAL-DE
%{_bindir}/vdrsync
%{_bindir}/dvd-menu
%{_datadir}/vdrsync/

%changelog
* Sun Mar 16 2008 Christian Wasem <wasem@ccux-linux.de> 0.1.3-3
- rebuild, changed group to Multimedia/VDR
* Sat Aug 25 2007 Christian Wasem <wasem@ccux-linux.de> 0.1.3-2
- rebuilt against vdr-1.4.7
* Sun Nov 26 2006 Christian Metzen <metzench@ccux-linux.de> 0.1.3-1
- Initial release
